import { CSSProperties } from "../node_modules/@types/react";

export type IconType = "lg" | "2x" | "3x" | "4x" | "5x";

import * as React from "react";
import { IconName as IconName2 } from "../src/icon";

export type IconName = IconName2;

export interface IFaIconProps {
  name: IconName;
  className?: string;
  style?: CSSProperties;
  size?: IconType;
  fixedWidth?: boolean;
  pullLeft?: boolean;
  spin?: boolean;
  onClick?: any;
}

declare class FaIcon extends React.Component<IFaIconProps, any> {}

export default FaIcon;
